package test.portlet.producer;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import test.portlet.producer.main.ProducerWindow;

import com.vaadin.Application;
import com.vaadin.terminal.gwt.server.PortletApplicationContext2;
import com.vaadin.ui.Window.Notification;

public class ProducerApplication extends Application {
    private static final long serialVersionUID = 1L;
    private Log log = LogFactory.getLog(this.getClass());

    private ProducerWindow producerWindow;
    private ProducerController controller;

    public ProducerController getController() {
        return controller;
    }

    public void init() {
        setTheme("reindeer");

        controller = new ProducerController(this);
        controller.init();

        producerWindow = new ProducerWindow();
        producerWindow.init();
        setMainWindow(producerWindow);

        if (isInPortletContext()) {
        } else {
            getMainWindow().showNotification("Not inited via Portal!",
                    Notification.TYPE_ERROR_MESSAGE);
            controller.updateContent(0);
        }
        log.trace("init() called");
    }

    public boolean isInPortletContext() {
        return getContext() instanceof PortletApplicationContext2;
    }

    public ProducerWindow getMainWindow() {
        return this.producerWindow;
    }

}
